groovy.json.internal

## Class JsonParserCharArray

- java.lang.Object
- - groovy.json.internal.BaseJsonParser
  - - groovy.json.internal.JsonParserCharArray

- All Implemented Interfaces:
    JsonParser
  Direct Known Subclasses:
    JsonFastParser, JsonParserLax

      public class JsonParserCharArray
      extends BaseJsonParser

  Converts an input JSON String into Java objects works with String or char array as input. Produces an Object which can be any of the basic JSON types mapped to Java.

  Author:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `__currentChar`
    `protected int` | `__index`
    `protected char[]` | `charArray`
    `protected static char[]` | `FALSE`
    `protected static char[]` | `NULL`
    `protected static char[]` | `TRUE`

    - ### Fields inherited from class groovy.json.internal.BaseJsonParser

      `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, bufSize, charset, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, internedKeysCache, internKeys, LETTER_BIG_E, LETTER_E, MINUS, PLUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonParserCharArray()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `complain(java.lang.String complaint)`
    `protected char` | `currentChar()`
    `protected boolean` | `decodeFalse()`
    `protected java.lang.Object` | `decodeFromChars(char[] cs)`
    `protected java.util.List` | `decodeJsonArray()`
    `protected java.lang.Object` | `decodeJsonObject()`
    `protected java.lang.Object` | `decodeNull()`
    `protected boolean` | `decodeTrue()`
    `protected java.lang.Object` | `decodeValue()`
    `protected java.lang.String` | `exceptionDetails(java.lang.String message)`
    `protected boolean` | `hasCurrent()`
    `protected boolean` | `hasMore()`
    `protected char` | `nextChar()`
    `java.lang.Object` | `parse(char[] chars)`
    `protected void` | `skipWhiteSpace()`

    - ### Methods inherited from class groovy.json.internal.BaseJsonParser

      `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### charArray

          protected char[] charArray

    - #### __index

          protected int __index

    - #### __currentChar

          protected char __currentChar

    - #### NULL

          protected static final char[] NULL

    - #### TRUE

          protected static final char[] TRUE

    - #### FALSE

          protected static char[] FALSE

  - ### Constructor Detail

    - #### JsonParserCharArray

          public JsonParserCharArray()

  - ### Method Detail

    - #### decodeFromChars

          protected java.lang.Object decodeFromChars(char[] cs)

    - #### hasMore

          protected final boolean hasMore()

    - #### hasCurrent

          protected final boolean hasCurrent()

    - #### skipWhiteSpace

          protected final void skipWhiteSpace()

    - #### nextChar

          protected final char nextChar()

    - #### exceptionDetails

          protected java.lang.String exceptionDetails(java.lang.String message)

    - #### decodeJsonObject

          protected final java.lang.Object decodeJsonObject()

    - #### complain

          protected final void complain(java.lang.String complaint)

    - #### decodeValue

          protected java.lang.Object decodeValue()

    - #### decodeNull

          protected final java.lang.Object decodeNull()

    - #### decodeTrue

          protected final boolean decodeTrue()

    - #### decodeFalse

          protected final boolean decodeFalse()

    - #### decodeJsonArray

          protected final java.util.List decodeJsonArray()

    - #### currentChar

          protected final char currentChar()

    - #### parse

          public java.lang.Object parse(char[] chars)